import { SimpleLocalIntegration } from '../../core/index.js';
import { EcowittConfigFlow } from './ecowitt.classes.configflow.js';
import { createEcowittDiscoveryDescriptor } from './ecowitt.discovery.js';
import type { IEcowittConfig } from './ecowitt.types.js';
import { ecowittDomain, ecowittProfile } from './ecowitt.types.js';

export class EcowittIntegration extends SimpleLocalIntegration<IEcowittConfig> {
  public readonly domain = ecowittDomain;
  public readonly discoveryDescriptor = createEcowittDiscoveryDescriptor();
  public readonly configFlow = new EcowittConfigFlow();

  constructor() {
    super(ecowittProfile);
  }
}

export class HomeAssistantEcowittIntegration extends EcowittIntegration {}
